## wineasio 1.0.0

=== Makefile ===
#!/usr/bin/make -f
# Makefile for WineASIO #
# --------------------- #
# Created by falkTX
#

VERSION = 1.0.0

all:
	@echo "error: you must pass '32' or '64' as an argument to this Makefile in order to build WineASIO"

# ---------------------------------------------------------------------------------------------------------------------

32:
	$(MAKE) build ARCH=i386 M=32

64:
	$(MAKE) build ARCH=x86_64 M=64

# ---------------------------------------------------------------------------------------------------------------------

clean:
	rm -f *.o *.so
	rm -rf build32 build64
	rm -rf gui/__pycache__

# ---------------------------------------------------------------------------------------------------------------------

tarball: clean
	rm -f ../wineasio-$(VERSION).tar.gz
	tar -c -z \
		--exclude=".git*" \
		--exclude=".travis*" \
		--exclude=debian \
		--exclude=prepare_64bit_asio.sh \
		--exclude=rtaudio/cmake \
		--exclude=rtaudio/contrib \
		--exclude=rtaudio/doc \
		--exclude=rtaudio/tests \
		--exclude=rtaudio/"*.ac" \
		--exclude=rtaudio/"*.am" \
		--exclude=rtaudio/"*.in" \
		--exclude=rtaudio/"*.sh" \
		--exclude=rtaudio/"*.txt" \
		--transform='s,^\.,wineasio-$(VERSION),' \
		-f ../wineasio-$(VERSION).tar.gz .

# ---------------------------------------------------------------------------------------------------------------------

ifneq ($(ARCH),)
ifneq ($(M),)
include Makefile.mk
endif
endif

# ---------------------------------------------------------------------------------------------------------------------

=== debian/changelog ===
wineasio (5:1.0.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Switch to debhelper-compat (= 13), delete compat file.
  * Updated copyright file.
  * Add source/format to use quilt.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 13:24:52 -0500

wineasio (5:1.0.0-1kxstudio1) bionic; urgency=medium

  * Stable release tag

 -- falkTX <falktx@gmail.com>  Tue, 14 Jul 2020 03:51:55 +0100

wineasio (5:0.10.0~git20200331) bionic; urgency=medium

  * Update

 -- falkTX <falktx@gmail.com>  Tue, 31 Mar 2020 01:54:04 +0100

wineasio (5:0.10.0~git20200209) bionic; urgency=medium

  * Update and refresh package

 -- falkTX <falktx@gmail.com>  Sat, 08 Feb 2020 16:08:46 +0000

wineasio (0.9.0+git20110613-2kxstudio2) precise; urgency=low

  * Make wineasio multiarch

 -- falkTX <falktx@gmail.com>  Mon, 30 Apr 2012 19:31:22 +0100

wineasio (0.9.0+git20110613-1kxstudio2) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Fri, 18 Dec 2009 18:03:10 +0000

=== debian/control ===
Source: wineasio
Section: sound
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: falkTX <falktx@falktx.com>
Build-Depends: debhelper-compat (= 13), pkg-config,
  libjack-jackd2-dev | libjack-dev,
  libwine-development-dev [amd64 i386],
  wine32-development-tools [i386],
  wine64-development-tools [amd64],
Standards-Version: 3.9.2
XSC-KXStudio-VCS: https://github.com/wineasio/wineasio/

Package: wineasio
Architecture: i386 amd64
Depends: ${misc:Depends}, wineasio-i386 [i386 amd64], wineasio-amd64 [amd64], wineasio-data
Description: ASIO to JACK driver for WINE
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).

Package: wineasio-data
Architecture: all
Depends: ${misc:Depends}, python3-pyqt5
Description: ASIO to JACK driver for WINE
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the shared data used for the settings tool

Package: wineasio-i386
Architecture: i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ASIO to JACK driver for WINE (32bit)
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the 32bit driver

Package: wineasio-amd64
Architecture: amd64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ASIO to JACK driver for WINE (64bit)
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the 64bit driver

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_build:
ifeq ($(DEB_BUILD_ARCH),amd64)
	$(MAKE) WINECC=winegcc-development 64
endif
ifeq ($(DEB_BUILD_ARCH),i386)
	$(MAKE) WINECC=winegcc-development 32
endif

override_dh_auto_install:
	$(MAKE) -C gui install DESTDIR=$(CURDIR)/debian/tmp

override_dh_shlibdeps:
ifeq ($(DEB_BUILD_ARCH),amd64)
	env LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/x86_64-linux-gnu/wine-development dh_shlibdeps
	sed -i "s/, libwine-development//" debian/wineasio-amd64.substvars
endif
ifeq ($(DEB_BUILD_ARCH),i386)
	env LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/i386-linux-gnu/wine-development dh_shlibdeps
	sed -i "s/, libwine-development//" debian/wineasio-i386.substvars
endif

## wineasio 1.1.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Created by falkTX
 #
 
-VERSION = 1.0.0
+VERSION = 1.1.0
 
 all:
 	@echo "error: you must pass '32' or '64' as an argument to this Makefile in order to build WineASIO"

=== rtaudio/CMakeLists.txt ===
# Set minimum CMake required version for this project.
cmake_minimum_required(VERSION 3.10 FATAL_ERROR)

# Define a C++ project.
project(RtAudio LANGUAGES CXX)

# Check for Jack (any OS)
find_library(JACK_LIB jack)
find_package(PkgConfig)
pkg_check_modules(jack jack)
if(JACK_LIB OR jack_FOUND)
  set(HAVE_JACK TRUE)
endif()

# Check for Pulse (any OS)
pkg_check_modules(pulse libpulse-simple)

# Check for known non-Linux unix-likes
if (CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
  message(STATUS "NetBSD detected, using OSS")
  set(xBSD ON)
elseif(UNIX AND NOT APPLE)
  set(LINUX ON)
endif()

# Necessary for Windows
if(MINGW)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

# Standard CMake options
option(BUILD_SHARED_LIBS "Build as shared library" ON)

if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug;Release;RelWithDebInfo;MinSizeRel")
endif()
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX d CACHE STRING "Postfix for debug version of library")
endif()

# Build Options
option(RTAUDIO_BUILD_PYTHON "Build PyRtAudio python bindings" OFF)
set(RTAUDIO_TARGETNAME_UNINSTALL "uninstall" CACHE STRING "Name of 'uninstall' build target")

# API Options
option(RTAUDIO_API_DS "Build DirectSound API" OFF)
option(RTAUDIO_API_ASIO "Build ASIO API" OFF)
option(RTAUDIO_API_WASAPI "Build WASAPI API" ${WIN32})
option(RTAUDIO_API_OSS "Build OSS4 API" ${xBSD})
option(RTAUDIO_API_ALSA "Build ALSA API" ${LINUX})
option(RTAUDIO_API_PULSE "Build PulseAudio API" ${pulse_FOUND})
option(RTAUDIO_API_JACK "Build JACK audio server API" ${HAVE_JACK})
option(RTAUDIO_API_CORE "Build CoreAudio API" ${APPLE})

# Check for functions
include(CheckFunctionExists)
check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
if (HAVE_GETTIMEOFDAY)
    add_definitions(-DHAVE_GETTIMEOFDAY)
endif ()

# Add -Wall if possible
if (CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif (CMAKE_COMPILER_IS_GNUCXX)

# Add debug flags
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-D__RTAUDIO_DEBUG__)
  if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
  endif (CMAKE_COMPILER_IS_GNUCXX)
endif ()

# Read libtool version info from configure.ac
set(R "m4_define\\(\\[lt_([a-z]+)\\], ([0-9]+)\\)")
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/configure.ac" CONFIGAC
  REGEX ${R})
foreach(_S ${CONFIGAC})
  string(REGEX REPLACE ${R} "\\1" k ${_S})
  string(REGEX REPLACE ${R} "\\2" v ${_S})
  set(SO_${k} ${v})
endforeach()
math(EXPR SO_current_minus_age "${SO_current} - ${SO_age}")
set(SO_VER "${SO_current_minus_age}")
set(FULL_VER "${SO_current_minus_age}.${SO_revision}.${SO_age}")

# Read package version info from configure.ac
set(R "AC_INIT\\(RtAudio, ([0-9\\.]+),.*\\)")
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/configure.ac" CONFIGAC
  REGEX ${R})
string(REGEX REPLACE ${R} "\\1" PACKAGE_VERSION ${CONFIGAC})

# Init variables
set(rtaudio_SOURCES RtAudio.cpp RtAudio.h rtaudio_c.cpp rtaudio_c.h)
set(LINKLIBS)
set(PKGCONFIG_REQUIRES)
set(API_DEFS)
set(API_LIST)

# Tweak API-specific configuration.

# Jack
if (RTAUDIO_API_JACK AND jack_FOUND)
  set(NEED_PTHREAD ON)
  list(APPEND PKGCONFIG_REQUIRES "jack")
  list(APPEND API_DEFS "-D__UNIX_JACK__")
  list(APPEND API_LIST "jack")
  if(jack_FOUND)
    list(APPEND LINKLIBS ${jack_LIBRARIES})
    list(APPEND INCDIRS ${jack_INCLUDEDIR})
  else()
    list(APPEND LINKLIBS ${JACK_LIB})
  endif()
endif()

# ALSA
if (RTAUDIO_API_ALSA)
  set(NEED_PTHREAD ON)
  find_package(ALSA)
  if (NOT ALSA_FOUND)
    message(FATAL_ERROR "ALSA API requested but no ALSA dev libraries found")
  endif()
  list(APPEND INCDIRS ${ALSA_INCLUDE_DIR})
  list(APPEND LINKLIBS ${ALSA_LIBRARY})
  list(APPEND PKGCONFIG_REQUIRES "alsa")
  list(APPEND API_DEFS "-D__LINUX_ALSA__")
  list(APPEND API_LIST "alsa")
endif()

# OSS
if (RTAUDIO_OSS)
  set(NEED_PTHREAD ON)
  find_library(OSSAUDIO_LIB ossaudio)
  if (OSSAUDIO_LIB)
    list(APPEND LINKLIBS ossaudio)
    # Note: not an error on some systems
  endif()
  list(APPEND API_DEFS "-D__LINUX_OSS__")
  list(APPEND API_LIST "oss")
endif()

# Pulse
if (RTAUDIO_API_PULSE)
  set(NEED_PTHREAD ON)
  find_library(PULSE_LIB pulse)
  find_library(PULSESIMPLE_LIB pulse-simple)
  list(APPEND LINKLIBS ${PULSE_LIB} ${PULSESIMPLE_LIB})
  list(APPEND PKGCONFIG_REQUIRES "libpulse-simple")
  list(APPEND API_DEFS "-D__LINUX_PULSE__")
  list(APPEND API_LIST "pulse")
endif()

# CoreAudio
if (RTAUDIO_API_CORE)
  find_library(COREAUDIO_LIB CoreAudio)
  find_library(COREFOUNDATION_LIB CoreFoundation)
  list(APPEND LINKLIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB})
  list(APPEND API_DEFS "-D__MACOSX_CORE__")
  list(APPEND API_LIST "core")
endif()

# ASIO
if (RTAUDIO_API_ASIO)
  set(NEED_WIN32LIBS ON)
  include_directories(include)
  list(APPEND rtaudio_SOURCES
    include/asio.cpp
    include/asiodrivers.cpp
    include/asiolist.cpp
    include/iasiothiscallresolver.cpp)
  list(APPEND API_DEFS "-D__WINDOWS_ASIO__")
  list(APPEND API_LIST "asio")
endif()

# DSound
if (RTAUDIO_API_DS)
  set(NEED_WIN32LIBS ON)
  list(APPEND LINKLIBS dsound)
  list(APPEND API_DEFS "-D__WINDOWS_DS__")
  list(APPEND API_LIST "ds")
endif()

# WASAPI
if (RTAUDIO_API_WASAPI)
  include_directories(include)
  set(NEED_WIN32LIBS ON)
  list(APPEND LINKLIBS ksuser mfplat mfuuid wmcodecdspuuid)
  list(APPEND API_DEFS "-D__WINDOWS_WASAPI__")
  list(APPEND API_LIST "wasapi")
endif()

# Windows libs
if (NEED_WIN32LIBS)
  list(APPEND LINKLIBS winmm ole32)
endif()

# pthread
if (NEED_PTHREAD)
  find_package(Threads REQUIRED
    CMAKE_THREAD_PREFER_PTHREAD
    THREADS_PREFER_PTHREAD_FLAG)
  list(APPEND LINKLIBS Threads::Threads)
endif()

# Create library targets.
cmake_policy(SET CMP0042 OLD)
set(LIB_TARGETS)

# Use RTAUDIO_BUILD_SHARED_LIBS / RTAUDIO_BUILD_STATIC_LIBS if they
# are defined, otherwise default to standard BUILD_SHARED_LIBS.
if (DEFINED RTAUDIO_BUILD_SHARED_LIBS)
  if (RTAUDIO_BUILD_SHARED_LIBS)
    add_library(rtaudio SHARED ${rtaudio_SOURCES})
  else()
    add_library(rtaudio STATIC ${rtaudio_SOURCES})
  endif()
elseif (DEFINED RTAUDIO_BUILD_STATIC_LIBS)
  if (RTAUDIO_BUILD_STATIC_LIBS)
    add_library(rtaudio STATIC ${rtaudio_SOURCES})
  else()
    add_library(rtaudio SHARED ${rtaudio_SOURCES})
  endif()
else()
  add_library(rtaudio ${rtaudio_SOURCES})
endif()
list(APPEND LIB_TARGETS rtaudio)

# Add headers destination for install rule.
set_target_properties(rtaudio PROPERTIES PUBLIC_HEADER RtAudio.h
  SOVERSION ${SO_VER}
  VERSION ${FULL_VER})

# Set include paths, populate target interface.
target_include_directories(rtaudio PRIVATE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  ${INCDIRS})

# Set compile-time definitions
target_compile_definitions(rtaudio PRIVATE ${API_DEFS})
target_compile_definitions(rtaudio PRIVATE RTAUDIO_EXPORT)
target_link_libraries(rtaudio ${LINKLIBS})


# Set standard installation directories.
include(GNUInstallDirs)

# Subdirs
include(CTest)

if (NOT DEFINED RTAUDIO_BUILD_TESTING OR RTAUDIO_BUILD_TESTING STREQUAL "")
  set(RTAUDIO_BUILD_TESTING ${BUILD_TESTING})
endif()
if (RTAUDIO_BUILD_TESTING)
  add_subdirectory(tests)
endif()

# Message
string(REPLACE ";" " " apilist "${API_LIST}")
message(STATUS "Compiling with support for: ${apilist}")

# PkgConfig file
string(REPLACE ";" " " req "${PKGCONFIG_REQUIRES}")
string(REPLACE ";" " " api "${API_DEFS}")
set(prefix ${CMAKE_INSTALL_PREFIX})
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/rtaudio.pc.in" "rtaudio.pc" @ONLY)

# Add install rule.
install(TARGETS ${LIB_TARGETS}
        EXPORT RtAudioTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# Store the package in the user registry.
export(PACKAGE RtAudio)

# Set installation path for CMake files.
set(RTAUDIO_CMAKE_DESTINATION share/rtaudio)

# Create CMake configuration export file.
if(NEED_PTHREAD)
  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfig.cmake "find_package(Threads REQUIRED)\n")
endif()

file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfig.cmake "include(\${CMAKE_CURRENT_LIST_DIR}/RtAudioTargets.cmake)")

# Install CMake configuration export file.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfig.cmake
        DESTINATION ${RTAUDIO_CMAKE_DESTINATION})

# Export library target (build-tree).
export(EXPORT RtAudioTargets
       NAMESPACE RtAudio::)

# Export library target (install-tree).
install(EXPORT RtAudioTargets
        DESTINATION ${RTAUDIO_CMAKE_DESTINATION}
        NAMESPACE RtAudio::)

# Configure uninstall target.
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/RtAudioConfigUninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfigUninstall.cmake" @ONLY)

# Create uninstall target.
add_custom_target(${RTAUDIO_TARGETNAME_UNINSTALL}
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfigUninstall.cmake)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/rtaudio.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
wineasio (5:1.1.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Switch to source/format quilt.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 11 Dec 2021 10:12:15 -0500

wineasio (5:1.1.0-1kxstudio2) bionic; urgency=medium

  * Fix i386 links

 -- falkTX <falktx@gmail.com>  Fri, 10 Dec 2021 14:52:24 +0000

wineasio (5:1.1.0-1kxstudio1) bionic; urgency=medium

  * Update to fix wine6.5 compat

 -- falkTX <falktx@gmail.com>  Wed, 24 Nov 2021 21:28:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,12 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_build:
 ifeq ($(DEB_BUILD_ARCH),amd64)
-	$(MAKE) WINECC=winegcc-development 64
+	$(MAKE) WINEBUILD=winebuild-development WINECC=winegcc-development 64
 endif
 ifeq ($(DEB_BUILD_ARCH),i386)
-	$(MAKE) WINECC=winegcc-development 32
+	$(MAKE) WINEBUILD=winebuild-development WINECC=winegcc-development 32
 endif
 
 override_dh_auto_install:

## wineasio 1.2.0b

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Created by falkTX
 #
 
-VERSION = 1.1.0
+VERSION = 1.2.0
+
+PREFIX ?= /usr
 
 all:
 	@echo "error: you must pass '32' or '64' as an argument to this Makefile in order to build WineASIO"

=== gui/Makefile ===
#!/usr/bin/make -f
# Makefile for WineASIO Settings GUI #
# ---------------------------------- #
# Created by falkTX
#

PREFIX = /usr

PYUIC ?= pyuic5
PYRCC ?= pyrcc5

# ---------------------------------------------------------------------------------------------------------------------

all:

# ---------------------------------------------------------------------------------------------------------------------
# UI code

regen: ui_settings.py

ui_%.py: %.ui
	$(PYUIC) $< -o $@

# ---------------------------------------------------------------------------------------------------------------------

clean:
	rm -f *~ *.pyc

destroy: clean
	rm -f ui_*.py

# ---------------------------------------------------------------------------------------------------------------------

install:
	# Create directories
	install -d $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/wineasio/

	# Install script files and binaries
	install -m 755 \
		wineasio-settings \
		$(DESTDIR)$(PREFIX)/bin/

	# Adjust PREFIX value in script files
	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
		$(DESTDIR)$(PREFIX)/bin/wineasio-settings

	# Install code
	install -m 644 *.py $(DESTDIR)$(PREFIX)/share/wineasio/

# ---------------------------------------------------------------------------------------------------------------------

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/wineasio-settings
	rm -rf $(DESTDIR)$(PREFIX)/share/wineasio/

# ---------------------------------------------------------------------------------------------------------------------

=== debian/changelog ===
wineasio (5:1.2.0b-1mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Wine-development no longer in Bookworm, try standard tools instead.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Apr 2024 09:02:55 -0700

wineasio (5:1.2.0b-4kxstudio1) focal; urgency=medium

  * Fix compat with legacy wine

 -- falkTX <falktx@falktx.com>  Fri, 10 Nov 2023 17:09:18 +0200

wineasio (5:1.2.0b-1kxstudio2) bionic; urgency=medium

  * Update

 -- falkTX <falktx@falktx.com>  Fri, 29 Sep 2023 23:12:13 +0200

wineasio (5:1.1.0-2kxstudio1) bionic; urgency=medium

  * Update for a few more fixes

 -- falkTX <falktx@gmail.com>  Fri, 18 Feb 2022 15:27:05 +0000

=== debian/control ===
Source: wineasio
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: falkTX <falktx@falktx.com>
Build-Depends: debhelper-compat (= 13),
#               kxstudio-build-scripts (>= 5),
               libjack-jackd2-dev | libjack-dev,
               libwine-dev [amd64 i386],
               pkg-config,
               wine32-tools [i386],
               wine64-tools [amd64]
Standards-Version: 3.9.2
XSC-KXStudio-VCS: https://github.com/wineasio/wineasio/

Package: wineasio
Architecture: amd64 i386
Depends: wineasio-amd64 [amd64],
         wineasio-data,
         wineasio-i386 [i386 amd64],
         ${misc:Depends}
Description: ASIO to JACK driver for WINE
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).

Package: wineasio-data
Architecture: all
Depends: python3-pyqt5, ${misc:Depends}
Description: ASIO to JACK driver for WINE
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the shared data used for the settings tool

Package: wineasio-i386
Architecture: amd64 i386
Multi-Arch: foreign
Depends: libjack-jackd2-0 | libjack0 | pipewire-jack,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ASIO to JACK driver for WINE (32bit)
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the 32bit driver

Package: wineasio-amd64
Architecture: amd64
Multi-Arch: foreign
Depends: libjack-jackd2-0 | libjack0 | pipewire-jack,
         ${misc:Depends},
         ${shlibs:Depends}
Description: ASIO to JACK driver for WINE (64bit)
 WineASIO is a ASIO driver for Wine,
 allowing to run Windows audio applications with
 low latency (as JACK clients).
 .
 This package provides the 64bit driver

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS += -fno-lto

%:
	dh $@

override_dh_auto_build:
	install -d build32
	install -d build64
	install -m 644 debian/binaries/wineasio32.dll build32/wineasio32.dll
	install -m 644 debian/binaries/wineasio64.dll build64/wineasio64.dll
	install -m 644 debian/binaries/wineasio32.dll.so2 build32/wineasio32.dll.so
	install -m 644 debian/binaries/wineasio64.dll.so2 build64/wineasio64.dll.so
# ifeq ($(DEB_BUILD_ARCH),i386)
# 	$(MAKE) WINEBUILD=winebuild-development WINECC=winegcc-development 32
# else ifeq ($(DEB_BUILD_ARCH),amd64)
# 	$(MAKE) WINEBUILD=winebuild-development WINECC=winegcc-development 64
# endif

override_dh_auto_install:
	$(MAKE) -C gui install DESTDIR=$(CURDIR)/debian/tmp
	install -m 755 wineasio-register $(CURDIR)/debian/tmp/usr/bin/

override_dh_shlibdeps:
# ifeq ($(DEB_BUILD_ARCH),i386)
# 	env LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/i386-linux-gnu/wine-development dh_shlibdeps
# 	sed -i "s/, libwine-development//" debian/wineasio-i386.substvars
# else ifeq ($(DEB_BUILD_ARCH),amd64)
# 	env LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/x86_64-linux-gnu/wine-development dh_shlibdeps
# 	sed -i "s/, libwine-development//" debian/wineasio-amd64.substvars
# endif

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## wineasio 1.3.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Created by falkTX
 #
 
-VERSION = 1.2.0
+VERSION = 1.3.0
 
 PREFIX ?= /usr
 
@@ -32,18 +32,7 @@
 	rm -f ../wineasio-$(VERSION).tar.gz
 	tar -c -z \
 		--exclude=".git*" \
-		--exclude=".travis*" \
 		--exclude=debian \
-		--exclude=prepare_64bit_asio.sh \
-		--exclude=rtaudio/cmake \
-		--exclude=rtaudio/contrib \
-		--exclude=rtaudio/doc \
-		--exclude=rtaudio/tests \
-		--exclude=rtaudio/"*.ac" \
-		--exclude=rtaudio/"*.am" \
-		--exclude=rtaudio/"*.in" \
-		--exclude=rtaudio/"*.sh" \
-		--exclude=rtaudio/"*.txt" \
 		--transform='s,^\.,wineasio-$(VERSION),' \
 		-f ../wineasio-$(VERSION).tar.gz .

=== gui/Makefile ===
--- 
+++ 
@@ -16,10 +16,42 @@
 # ---------------------------------------------------------------------------------------------------------------------
 # UI code
 
+define UI_IMPORTS
+try:\\n
+   from PyQt6.QtCore import Qt, QCoreApplication, QMetaObject\\n
+   from PyQt6.QtWidgets import QCheckBox, QComboBox, QDialogButtonBox, QLabel, QGroupBox, QSpinBox\\n
+   from PyQt6.QtWidgets import QHBoxLayout, QVBoxLayout, QSpacerItem, QSizePolicy\\n
+   Qt.AlignRight = Qt.AlignmentFlag.AlignRight\\n
+   Qt.AlignTrailing = Qt.AlignmentFlag.AlignTrailing\\n
+   Qt.AlignVCenter = Qt.AlignmentFlag.AlignVCenter\\n
+   Qt.Horizontal = Qt.Orientation.Horizontal\\n
+   QSizePolicy.Fixed = QSizePolicy.Policy.Fixed\\n
+   QSizePolicy.Minimum = QSizePolicy.Policy.Minimum\\n
+   QDialogButtonBox.Cancel = QDialogButtonBox.StandardButton.Cancel\\n
+   QDialogButtonBox.Ok = QDialogButtonBox.StandardButton.Ok\\n
+   QDialogButtonBox.RestoreDefaults = QDialogButtonBox.StandardButton.RestoreDefaults\\n
+except ImportError:\\n
+   from PyQt5.QtCore import Qt, QCoreApplication, QMetaObject\\n
+   from PyQt5.QtWidgets import QCheckBox, QComboBox, QDialogButtonBox, QLabel, QGroupBox, QSpinBox\\n
+   from PyQt5.QtWidgets import QHBoxLayout, QVBoxLayout, QSpacerItem, QSizePolicy
+endef
+
+export UI_IMPORTS
+
 regen: ui_settings.py
 
 ui_%.py: %.ui
 	$(PYUIC) $< -o $@
+	sed -i 's/QtCore.//g' $@
+	sed -i 's/QtGui.//g' $@
+	sed -i 's/QtWidgets.//g' $@
+	sed -i 's/_translate = QCoreApplication.translate/_tr = QCoreApplication.translate/' $@
+	sed -i 's/_translate(/_tr(/g' $@
+	sed -i 's/"WineASIOSettings"/self.OBJECT_NAME/g' $@
+	sed -i 's/ # type: ignore//g' $@
+	sed -i 's/WineASIOSettings(object):/WineASIOSettings(object):\n    OBJECT_NAME = "WineASIOSettings"\n/' $@
+	sed -i 's/from PyQt5 import   QtWidgets/$(shell echo "$$UI_IMPORTS")/' $@
+	sed -i 's/ except ImportError:/except ImportError:/' $@
 
 # ---------------------------------------------------------------------------------------------------------------------

=== debian/changelog ===
wineasio (5:1.3.0-1mx25) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Dec 2025 05:51:46 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #               kxstudio-build-scripts (>= 5),
                libjack-jackd2-dev | libjack-dev,
                libwine-dev [amd64 i386],
-               pkg-config,
+               pkgconf,
                wine32-tools [i386],
                wine64-tools [amd64]
 Standards-Version: 3.9.2
